STKLOS-PKG(1)

NAME
stklos-pkg - ScmPkg packages management

SYNOPSIS
stklos-pkg [options]

DESCRIPTION
The stklos-pkg command is the general tool for downloading, installing and uninstalling ScmPkg packages in STklos.

The first time you use stklos-pkg you must synchronize your local repository with the ScmPkg server. This is done using the --setup option. The other options of stklos-pkg are described below.

OPTIONS
Here are the options available in the version 1.10 of stklos.

--extract package | -e package
    extract the files of package (and all its dependencies) and build a Unix Makefile for compiling the package. The files are extracted in the directory specified with option --directory (or the current directory if the option is unused. The generated Makefile offers the following targets:

    all to build the package dependencies nd the package itself

    test
        to run package tests

    install
        to install the package (and its dependencies) for the current user

    system-install
        to install the package (and its dependencies) system-wide

--test=package | -t package
    extract and test the given package in a temporary directory. If the test succeeds, the stklos-pkg command returns 0.

--install=package| -i package
    install the given package and its dependencies in the standard installation directory. If the --system-wide flag is not used, files are installed in the user directory. Otherwise, files are installed in a shared directory available to all users.

--uninstall package
    un-install the files which were copied during the installation of the given package. Use the --system-wide option to un-install shared files.

--sync | -s
    synchronize the local repository on the ScmPkg server(s). This will download the description of all the packages which are available on the server(s). The packages themselves are downloaded, only when needed.

--add=package| -a package
    adds the given package to the repository.

--download=package
    download the tarball associated to given package and copy it in the current directory or the directory specified by the "--directory" option.

--fill-cache
    downloads all the package which are available on the server(s). This can be used for copying all remote packages, when the net connection is not permanent for instance.

--clear-cache
    remove all the packages from the cache. This can be used when packages files take too much place. Packages will be downloaded when needed

--reset
    remove all the files needed by ScmPkg, that is the cache of packages, but also the binary of installed packages, their documentation, and all the meta-data of ScmPkg.

--list |-l
    list all the packages which are available from server(s) and from the current repository.

--depends=package
    list the packages needed by the given package

--installed
    list the packages which are locally installed

--conf-dir=dir | -D dir
    Use the specified directory as stklos main configuration directory. This is useful if you use stklos(1) with the -D option. Note that you can use the -STKLOS_CONFDIR shell variable for that too.

--directory=dir | -C dir
    Use the specified directory for extracting file. If this option is not specified, files are extracted in the current directory.

--verbose | -v
    be more verbose. Several usage of this flag increase the verbosity of stklos-pkg.

--system-wide | -S
    flag used to indicate that (un-)installation must be system wide.

--version |-V
    display the version of stklos-pkg and exit.

--help | -h
    Show a list of options

FILES

~/<stklos-conf-dir>/pkg
    The STklos user ScmPkg repository. <stklos-conf-dir> is by default ~/.stklos but can be set by the STKLOS_CONFDIR shell variable

/usr/local/lib/stklos/pkg
    The STklos system ScmPkg repository here

ENVIRONMENT VARIABLES

STKLOS_CONFDIR
    This variable can be used to designate the directory used by stklos to store its configuration or packages files. It not set, the default stklos configuration directory is by default ~/.stklos.

SEE ALSO
stklos(1)